diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-socket-base.h ns-3.44/src/internet/model/tcp-socket-base.h
--- ns-3.43/src/internet/model/tcp-socket-base.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-socket-base.h	2025-03-09 16:55:49.411371200 -0700
@@ -911,53 +911,53 @@
     void Destroy6();
 
     /**
-     * \brief Deallocate m_endPoint and m_endPoint6
+     * @brief Deallocate m_endPoint and m_endPoint6
      */
     void DeallocateEndPoint();
 
     /**
-     * \brief Received a FIN from peer, notify rx buffer
+     * @brief Received a FIN from peer, notify rx buffer
      *
-     * \param p the packet
-     * \param tcpHeader the packet's TCP header
+     * @param p the packet
+     * @param tcpHeader the packet's TCP header
      */
     void PeerClose(Ptr<Packet> p, const TcpHeader& tcpHeader);
 
     /**
-     * \brief FIN is in sequence, notify app and respond with a FIN
+     * @brief FIN is in sequence, notify app and respond with a FIN
      */
     void DoPeerClose();
 
     /**
-     * \brief Cancel all timer when endpoint is deleted
+     * @brief Cancel all timer when endpoint is deleted
      */
     void CancelAllTimers();
 
     /**
-     * \brief Move from CLOSING or FIN_WAIT_2 to TIME_WAIT state
+     * @brief Move from CLOSING or FIN_WAIT_2 to TIME_WAIT state
      */
     void TimeWait();
 
     // State transition functions
 
     /**
-     * \brief Received a packet upon ESTABLISHED state.
+     * @brief Received a packet upon ESTABLISHED state.
      *
      * This function is mimicking the role of tcp_rcv_established() in tcp_input.c in Linux kernel.
      *
-     * \param packet the packet
-     * \param tcpHeader the packet's TCP header
+     * @param packet the packet
+     * @param tcpHeader the packet's TCP header
      */
     void ProcessEstablished(Ptr<Packet> packet,
                             const TcpHeader& tcpHeader); // Received a packet upon ESTABLISHED state
 
     /**
-     * \brief Received a packet upon LISTEN state.
+     * @brief Received a packet upon LISTEN state.
      *
-     * \param packet the packet
-     * \param tcpHeader the packet's TCP header
-     * \param fromAddress the source address
-     * \param toAddress the destination address
+     * @param packet the packet
+     * @param tcpHeader the packet's TCP header
+     * @param fromAddress the source address
+     * @param toAddress the destination address
      */
     void ProcessListen(Ptr<Packet> packet,
                        const TcpHeader& tcpHeader,
@@ -965,20 +965,20 @@
                        const Address& toAddress);
 
     /**
-     * \brief Received a packet upon SYN_SENT
+     * @brief Received a packet upon SYN_SENT
      *
-     * \param packet the packet
-     * \param tcpHeader the packet's TCP header
+     * @param packet the packet
+     * @param tcpHeader the packet's TCP header
      */
     void ProcessSynSent(Ptr<Packet> packet, const TcpHeader& tcpHeader);
 
     /**
-     * \brief Received a packet upon SYN_RCVD.
+     * @brief Received a packet upon SYN_RCVD.
      *
-     * \param packet the packet
-     * \param tcpHeader the packet's TCP header
-     * \param fromAddress the source address
-     * \param toAddress the destination address
+     * @param packet the packet
+     * @param tcpHeader the packet's TCP header
+     * @param fromAddress the source address
+     * @param toAddress the destination address
      */
     void ProcessSynRcvd(Ptr<Packet> packet,
                         const TcpHeader& tcpHeader,
@@ -986,71 +986,71 @@
                         const Address& toAddress);
 
     /**
-     * \brief Received a packet upon CLOSE_WAIT, FIN_WAIT_1, FIN_WAIT_2
+     * @brief Received a packet upon CLOSE_WAIT, FIN_WAIT_1, FIN_WAIT_2
      *
-     * \param packet the packet
-     * \param tcpHeader the packet's TCP header
+     * @param packet the packet
+     * @param tcpHeader the packet's TCP header
      */
     void ProcessWait(Ptr<Packet> packet, const TcpHeader& tcpHeader);
 
     /**
-     * \brief Received a packet upon CLOSING
+     * @brief Received a packet upon CLOSING
      *
-     * \param packet the packet
-     * \param tcpHeader the packet's TCP header
+     * @param packet the packet
+     * @param tcpHeader the packet's TCP header
      */
     void ProcessClosing(Ptr<Packet> packet, const TcpHeader& tcpHeader);
 
     /**
-     * \brief Received a packet upon LAST_ACK
+     * @brief Received a packet upon LAST_ACK
      *
-     * \param packet the packet
-     * \param tcpHeader the packet's TCP header
+     * @param packet the packet
+     * @param tcpHeader the packet's TCP header
      */
     void ProcessLastAck(Ptr<Packet> packet, const TcpHeader& tcpHeader);
 
     // Window management
 
     /**
-     * \brief Return count of number of unacked bytes
+     * @brief Return count of number of unacked bytes
      *
      * The difference between SND.UNA and HighTx
      *
-     * \returns count of number of unacked bytes
+     * @returns count of number of unacked bytes
      */
     virtual uint32_t UnAckDataCount() const;
 
     /**
-     * \brief Return total bytes in flight
+     * @brief Return total bytes in flight
      *
      * Does not count segments lost and SACKed (or dupACKed)
      *
-     * \returns total bytes in flight
+     * @returns total bytes in flight
      */
     virtual uint32_t BytesInFlight() const;
 
     /**
-     * \brief Return the max possible number of unacked bytes
-     * \returns the max possible number of unacked bytes
+     * @brief Return the max possible number of unacked bytes
+     * @returns the max possible number of unacked bytes
      */
     virtual uint32_t Window() const;
 
     /**
-     * \brief Return unfilled portion of window
-     * \return unfilled portion of window
+     * @brief Return unfilled portion of window
+     * @return unfilled portion of window
      */
     virtual uint32_t AvailableWindow() const;
 
     /**
-     * \brief The amount of Rx window announced to the peer
-     * \param scale indicate if the window should be scaled. True for
+     * @brief The amount of Rx window announced to the peer
+     * @param scale indicate if the window should be scaled. True for
      * almost all cases, except when we are sending a SYN
-     * \returns size of Rx window announced to the peer
+     * @returns size of Rx window announced to the peer
      */
     virtual uint16_t AdvertisedWindowSize(bool scale = true) const;
 
     /**
-     * \brief Update the receiver window (RWND) based on the value of the
+     * @brief Update the receiver window (RWND) based on the value of the
      * window field in the header.
      *
      * This method suppresses updates unless one of the following three
@@ -1059,33 +1059,33 @@
      * but the segment acks new data (highest sequence number acked advances),
      * or 3) the advertised window is larger than the current send window
      *
-     * \param header TcpHeader from which to extract the new window value
+     * @param header TcpHeader from which to extract the new window value
      */
     void UpdateWindowSize(const TcpHeader& header);
 
     // Manage data tx/rx
 
     /**
-     * \brief Call CopyObject<> to clone me
-     * \returns a copy of the socket
+     * @brief Call CopyObject<> to clone me
+     * @returns a copy of the socket
      */
     virtual Ptr<TcpSocketBase> Fork();
 
     /**
-     * \brief Received an ACK packet
-     * \param packet the packet
-     * \param tcpHeader the packet's TCP header
+     * @brief Received an ACK packet
+     * @param packet the packet
+     * @param tcpHeader the packet's TCP header
      */
     virtual void ReceivedAck(Ptr<Packet> packet, const TcpHeader& tcpHeader);
 
     /**
-     * \brief Process a received ack
-     * \param ackNumber ack number
-     * \param scoreboardUpdated if true indicates that the scoreboard has been
-     * \param oldHeadSequence value of HeadSequence before ack
+     * @brief Process a received ack
+     * @param ackNumber ack number
+     * @param scoreboardUpdated if true indicates that the scoreboard has been
+     * @param oldHeadSequence value of HeadSequence before ack
      * updated with SACK information
-     * \param currentDelivered The number of bytes (S)ACKed
-     * \param receivedData if true indicates that data is piggybacked with ACK
+     * @param currentDelivered The number of bytes (S)ACKed
+     * @param receivedData if true indicates that data is piggybacked with ACK
      */
     virtual void ProcessAck(const SequenceNumber32& ackNumber,
                             bool scoreboardUpdated,
@@ -1094,251 +1094,251 @@
                             bool receivedData);
 
     /**
-     * \brief Recv of a data, put into buffer, call L7 to get it if necessary
-     * \param packet the packet
-     * \param tcpHeader the packet's TCP header
+     * @brief Recv of a data, put into buffer, call L7 to get it if necessary
+     * @param packet the packet
+     * @param tcpHeader the packet's TCP header
      */
     virtual void ReceivedData(Ptr<Packet> packet, const TcpHeader& tcpHeader);
 
     /**
-     * \brief Calculate RTT sample for the ACKed packet
+     * @brief Calculate RTT sample for the ACKed packet
      *
      * Per RFC 6298 (Section 3),
      * If `m_timestampsEnabled` is true, calculate RTT using timestamps option.
      * Otherwise, return RTT as the elapsed time since the packet was transmitted.
      * If ACKed packed was a retrasmitted packet, return zero time.
      *
-     * \param tcpHeader the packet's TCP header
-     * \param rttHistory the ACKed packet's RTT History
-     * \returns the RTT sample
+     * @param tcpHeader the packet's TCP header
+     * @param rttHistory the ACKed packet's RTT History
+     * @returns the RTT sample
      */
     virtual Time CalculateRttSample(const TcpHeader& tcpHeader, const RttHistory& rttHistory);
 
     /**
-     * \brief Take into account the packet for RTT estimation
-     * \param tcpHeader the packet's TCP header
+     * @brief Take into account the packet for RTT estimation
+     * @param tcpHeader the packet's TCP header
      */
     virtual void EstimateRtt(const TcpHeader& tcpHeader);
 
     /**
-     * \brief Update the RTT history, when we send TCP segments
+     * @brief Update the RTT history, when we send TCP segments
      *
-     * \param seq The sequence number of the TCP segment
-     * \param sz The segment's size
-     * \param isRetransmission Whether or not the segment is a retransmission
+     * @param seq The sequence number of the TCP segment
+     * @param sz The segment's size
+     * @param isRetransmission Whether or not the segment is a retransmission
      */
 
     virtual void UpdateRttHistory(const SequenceNumber32& seq, uint32_t sz, bool isRetransmission);
 
     /**
-     * \brief Update buffers w.r.t. ACK
-     * \param seq the sequence number
-     * \param resetRTO indicates if RTO should be reset
+     * @brief Update buffers w.r.t. ACK
+     * @param seq the sequence number
+     * @param resetRTO indicates if RTO should be reset
      */
     virtual void NewAck(const SequenceNumber32& seq, bool resetRTO);
 
     /**
-     * \brief Dupack management
+     * @brief Dupack management
      *
-     * \param currentDelivered Current (S)ACKed bytes
+     * @param currentDelivered Current (S)ACKed bytes
      */
     void DupAck(uint32_t currentDelivered);
 
     /**
-     * \brief Enter CA_CWR state upon receipt of an ECN Echo
+     * @brief Enter CA_CWR state upon receipt of an ECN Echo
      *
-     * \param currentDelivered Currently (S)ACKed bytes
+     * @param currentDelivered Currently (S)ACKed bytes
      */
     void EnterCwr(uint32_t currentDelivered);
 
     /**
-     * \brief Enter the CA_RECOVERY, and retransmit the head
+     * @brief Enter the CA_RECOVERY, and retransmit the head
      *
-     * \param currentDelivered Currently (S)ACKed bytes
+     * @param currentDelivered Currently (S)ACKed bytes
      */
     void EnterRecovery(uint32_t currentDelivered);
 
     /**
-     * \brief An RTO event happened
+     * @brief An RTO event happened
      */
     virtual void ReTxTimeout();
 
     /**
-     * \brief Action upon delay ACK timeout, i.e. send an ACK
+     * @brief Action upon delay ACK timeout, i.e. send an ACK
      */
     virtual void DelAckTimeout();
 
     /**
-     * \brief Timeout at LAST_ACK, close the connection
+     * @brief Timeout at LAST_ACK, close the connection
      */
     virtual void LastAckTimeout();
 
     /**
-     * \brief Send 1 byte probe to get an updated window size
+     * @brief Send 1 byte probe to get an updated window size
      */
     virtual void PersistTimeout();
 
     /**
-     * \brief Retransmit the first segment marked as lost, without considering
+     * @brief Retransmit the first segment marked as lost, without considering
      * available window nor pacing.
      */
     void DoRetransmit();
 
     /**
-     * \brief Add options to TcpHeader
+     * @brief Add options to TcpHeader
      *
      * Test each option, and if it is enabled on our side, add it
      * to the header
      *
-     * \param tcpHeader TcpHeader to add options to
+     * @param tcpHeader TcpHeader to add options to
      */
     void AddOptions(TcpHeader& tcpHeader);
 
     /**
-     * \brief Read TCP options before Ack processing
+     * @brief Read TCP options before Ack processing
      *
      * Timestamp and Window scale are managed in other pieces of code.
      *
-     * \param tcpHeader Header of the segment
-     * \param [out] bytesSacked Number of bytes SACKed, or 0
+     * @param tcpHeader Header of the segment
+     * @param [out] bytesSacked Number of bytes SACKed, or 0
      */
     void ReadOptions(const TcpHeader& tcpHeader, uint32_t* bytesSacked);
 
     /**
-     * \brief Return true if the specified option is enabled
+     * @brief Return true if the specified option is enabled
      *
-     * \param kind kind of TCP option
-     * \return true if the option is enabled
+     * @param kind kind of TCP option
+     * @return true if the option is enabled
      */
     bool IsTcpOptionEnabled(uint8_t kind) const;
 
     /**
-     * \brief Read and parse the Window scale option
+     * @brief Read and parse the Window scale option
      *
      * Read the window scale option (encoded logarithmically) and save it.
      * Per RFC 1323, the value can't exceed 14.
      *
-     * \param option Window scale option read from the header
+     * @param option Window scale option read from the header
      */
     void ProcessOptionWScale(const Ptr<const TcpOption> option);
     /**
-     * \brief Add the window scale option to the header
+     * @brief Add the window scale option to the header
      *
      * Calculate our factor from the rxBuffer max size, and add it
      * to the header.
      *
-     * \param header TcpHeader where the method should add the window scale option
+     * @param header TcpHeader where the method should add the window scale option
      */
     void AddOptionWScale(TcpHeader& header);
 
     /**
-     * \brief Calculate window scale value based on receive buffer space
+     * @brief Calculate window scale value based on receive buffer space
      *
      * Calculate our factor from the rxBuffer max size
      *
-     * \returns the Window Scale factor
+     * @returns the Window Scale factor
      */
     uint8_t CalculateWScale() const;
 
     /**
-     * \brief Read the SACK PERMITTED option
+     * @brief Read the SACK PERMITTED option
      *
      * Currently this is a placeholder, since no operations should be done
      * on such option.
      *
-     * \param option SACK PERMITTED option from the header
+     * @param option SACK PERMITTED option from the header
      */
     void ProcessOptionSackPermitted(const Ptr<const TcpOption> option);
 
     /**
-     * \brief Read the SACK option
+     * @brief Read the SACK option
      *
-     * \param option SACK option from the header
-     * \returns the number of bytes sacked by this option
+     * @param option SACK option from the header
+     * @returns the number of bytes sacked by this option
      */
     uint32_t ProcessOptionSack(const Ptr<const TcpOption> option);
 
     /**
-     * \brief Add the SACK PERMITTED option to the header
+     * @brief Add the SACK PERMITTED option to the header
      *
-     * \param header TcpHeader where the method should add the option
+     * @param header TcpHeader where the method should add the option
      */
     void AddOptionSackPermitted(TcpHeader& header);
 
     /**
-     * \brief Add the SACK option to the header
+     * @brief Add the SACK option to the header
      *
-     * \param header TcpHeader where the method should add the option
+     * @param header TcpHeader where the method should add the option
      */
     void AddOptionSack(TcpHeader& header);
 
     /**
-     * \brief Process the timestamp option from other side
+     * @brief Process the timestamp option from other side
      *
      * Get the timestamp and the echo, then save timestamp (which will
      * be the echo value in our out-packets) and save the echoed timestamp,
      * to utilize later to calculate RTT.
      *
-     * \see EstimateRtt
-     * \param option Option from the segment
-     * \param seq Sequence number of the segment
+     * @see EstimateRtt
+     * @param option Option from the segment
+     * @param seq Sequence number of the segment
      */
     void ProcessOptionTimestamp(const Ptr<const TcpOption> option, const SequenceNumber32& seq);
     /**
-     * \brief Add the timestamp option to the header
+     * @brief Add the timestamp option to the header
      *
      * Set the timestamp as the lower bits of the Simulator::Now time,
      * and the echo value as the last seen timestamp from the other part.
      *
-     * \param header TcpHeader to which add the option to
+     * @param header TcpHeader to which add the option to
      */
     void AddOptionTimestamp(TcpHeader& header);
 
     /**
-     * \brief Performs a safe subtraction between a and b (a-b)
+     * @brief Performs a safe subtraction between a and b (a-b)
      *
      * Safe is used to indicate that, if b>a, the results returned is 0.
      *
-     * \param a first number
-     * \param b second number
-     * \return 0 if b>0, (a-b) otherwise
+     * @param a first number
+     * @param b second number
+     * @return 0 if b>0, (a-b) otherwise
      */
     static uint32_t SafeSubtraction(uint32_t a, uint32_t b);
 
     /**
-     * \brief Notify Pacing
+     * @brief Notify Pacing
      */
     void NotifyPacingPerformed();
 
     /**
-     * \brief Return true if packets in the current window should be paced
-     * \return true if pacing is currently enabled
+     * @brief Return true if packets in the current window should be paced
+     * @return true if pacing is currently enabled
      */
     bool IsPacingEnabled() const;
 
     /**
-     * \brief Dynamically update the pacing rate
+     * @brief Dynamically update the pacing rate
      */
     void UpdatePacingRate();
 
     /**
-     * \brief Add Tags for the Socket
-     * \param p Packet
-     * \param isEct Whether the packet is allowed to be ECT capable
+     * @brief Add Tags for the Socket
+     * @param p Packet
+     * @param isEct Whether the packet is allowed to be ECT capable
      */
     void AddSocketTags(const Ptr<Packet>& p, bool isEct) const;
 
     /**
      * Get the current value of the receiver's offered window (RCV.WND)
-     * \note This method exists to expose the value to the TcpTxBuffer
-     * \return value of receiver's offered window
+     * @note This method exists to expose the value to the TcpTxBuffer
+     * @return value of receiver's offered window
      */
     uint32_t GetRWnd() const;
 
     /**
      * Get the current value of the receiver's highest (in-sequence) sequence number acked.
-     * \note This method exists to expose the value to the TcpTxBuffer
-     * \return value of receiver's highest sequence number acked.
+     * @note This method exists to expose the value to the TcpTxBuffer
+     * @return value of receiver's highest sequence number acked.
      */
     SequenceNumber32 GetHighRxAck() const;
 
@@ -1365,12 +1365,12 @@
     uint32_t m_dataRetries{0};   //!< Number of data retransmission attempts
 
     // Timeouts
-    TracedValue<Time> m_rto{Seconds(0.0)};   //!< Retransmit timeout
+    TracedValue<Time> m_rto;                 //!< Retransmit timeout
     Time m_minRto{Time::Max()};              //!< minimum value of the Retransmit timeout
     Time m_clockGranularity{Seconds(0.001)}; //!< Clock Granularity used in RTO calcs
-    Time m_delAckTimeout{Seconds(0.0)};      //!< Time to delay an ACK
-    Time m_persistTimeout{Seconds(0.0)};     //!< Time between sending 1-byte probes
-    Time m_cnTimeout{Seconds(0.0)};          //!< Timeout for connection retry
+    Time m_delAckTimeout;                    //!< Time to delay an ACK
+    Time m_persistTimeout;                   //!< Time between sending 1-byte probes
+    Time m_cnTimeout;                        //!< Timeout for connection retry
 
     // History of RTT
     std::deque<RttHistory> m_history; //!< List of sent packet
@@ -1469,21 +1469,21 @@
 };
 
 /**
- * \ingroup tcp
+ * @ingroup tcp
  * TracedValue Callback signature for TcpCongState_t
  *
- * \param [in] oldValue original value of the traced variable
- * \param [in] newValue new value of the traced variable
+ * @param [in] oldValue original value of the traced variable
+ * @param [in] newValue new value of the traced variable
  */
 typedef void (*TcpCongStatesTracedValueCallback)(const TcpSocketState::TcpCongState_t oldValue,
                                                  const TcpSocketState::TcpCongState_t newValue);
 
 /**
- * \ingroup tcp
+ * @ingroup tcp
  * TracedValue Callback signature for ECN state trace
  *
- * \param [in] oldValue original value of the traced variable
- * \param [in] newValue new value of the traced variable
+ * @param [in] oldValue original value of the traced variable
+ * @param [in] newValue new value of the traced variable
  */
 typedef void (*EcnStatesTracedValueCallback)(const TcpSocketState::EcnState_t oldValue,
                                              const TcpSocketState::EcnState_t newValue);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-socket-factory.h ns-3.44/src/internet/model/tcp-socket-factory.h
--- ns-3.43/src/internet/model/tcp-socket-factory.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-socket-factory.h	2025-03-09 16:55:49.411371200 -0700
@@ -16,10 +16,10 @@
 class Socket;
 
 /**
- * \ingroup socket
- * \ingroup tcp
+ * @ingroup socket
+ * @ingroup tcp
  *
- * \brief API to create TCP socket instances
+ * @brief API to create TCP socket instances
  *
  * This abstract class defines the API for TCP sockets.
  * This class also holds the global default variables used to
@@ -30,7 +30,7 @@
  * of CreateSocket
  * below, and should make use of the default values configured below.
  *
- * \see TcpSocketFactoryImpl
+ * @see TcpSocketFactoryImpl
  *
  */
 class TcpSocketFactory : public SocketFactory
@@ -38,8 +38,8 @@
   public:
     /**
      * Get the type ID.
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-socket-factory-impl.h ns-3.44/src/internet/model/tcp-socket-factory-impl.h
--- ns-3.43/src/internet/model/tcp-socket-factory-impl.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-socket-factory-impl.h	2025-03-09 16:55:49.411371200 -0700
@@ -18,10 +18,10 @@
 class TcpL4Protocol;
 
 /**
- * \ingroup socket
- * \ingroup tcp
+ * @ingroup socket
+ * @ingroup tcp
  *
- * \brief socket factory implementation for native ns-3 TCP
+ * @brief socket factory implementation for native ns-3 TCP
  *
  *
  * This class serves to create sockets of the TcpSocketBase type.
@@ -33,8 +33,8 @@
     ~TcpSocketFactoryImpl() override;
 
     /**
-     * \brief Set the associated TCP L4 protocol.
-     * \param tcp the TCP L4 protocol
+     * @brief Set the associated TCP L4 protocol.
+     * @param tcp the TCP L4 protocol
      */
     void SetTcp(Ptr<TcpL4Protocol> tcp);
 
